'use strict';

import Manifest from '../src/Manifest.js';
import Common from '../src/common.js';

/**
 * Generate a sequence object to serve
 * @param {string} manifestId 
 * @param {string | int} name 
 */
export default async function generateSequence(manifestId, name) {
	const IIIF_API_VERSION = process.env.IIIF_API_VERSION;
	const BASE_URL = process.env.BASE_URL;

	let manifest = new Manifest(IIIF_API_VERSION, BASE_URL);
	manifest.generateID(manifestId);
	
	manifest = await Common.populateCanvases(
		manifest, 
		await Common.getImageList(manifestId), 
		manifestId
	);

    return manifest.toObject().sequences[name];
}

